HowTo play rC3.world
===

This small tutorial is intended to give you a quick overview and some recommendations for the best rC3.world experience.

## Rules

### Be excellent to each other

Please be excellent to each other as well as our infrastructure. The software for this game is new and therefore may contain bugs. If you want to go diggin for bugs please use our playground instance instead of the productive infrastructure.

We will reserve the right to ban participants not behaving excellent.

### Photo policy

As usual on CCC events, the photo policy also applies to rC3.world. If you take pictures or screenshots from the world be sure to ask everyone in the picture or not include other peoples faces and / or nicks.

## Recommendations

### Hardware / Devices

You'll need a computer or at least some device with a hardware keyboard. A tablet with keyboard seems to work.

As rC3.world is an interactive multiplayer gaming experience camera and microphone are recommended. However you don't need it to play, but interaction with others will be boring without them.

### Browser

rC3.world should work with all common browsers, but there may be small issues depending on which browser you use. Based on our experience rC3.world works best with Chromium.

## Controls

You can walk around using the cursor or WASD keys. Hold shift to run.

### Zooming

You can zoom out and in using Ctrl +/- to get a better overview over the map, but things like controls, jitsi rooms, .. will scale too.

## Interaction with others

The world consists of different maps that may include interactive parts like websites, audio or jitsi rooms and interactions between players. These will open while you navigate over certain areas, or as you interact with players.

### Websites and Jitsi Rooms

Websites and Jitsi rooms will open in an half-screen overlay on the right side of your browser window. For external websites we use a dereferrer asking you for permission, if you don't want to be asked every time just use the "remind me in 10 minutes" button.  

### Audio

In some areas an audio player will pop up in the upper left corner and play sound. This can be short sound snippets as well as audio streams. There's a mute button on the left, if you don't want to listen to the audio. By default the player will decrease its volume roughly 50% if you join a group conversation, if you don't want that to happen you can disable the feature with the button on the right.

### Group conversations

If you meet other players, you'll join a group conversation sharing your camera and microphone with them. Group conversations are marked with a white circle. They can grow up to 4 participants, afterwards they are "full" which is marked by a red circle.

As group conversations are based on peer-2-peer technology, your ip address will be shared with other participants. If you don't want that to happen be sure to disable group conversations or use a vpn.

#### Disabeling group conversations

If you don't want to use this feature you can disable it via the hub.


## I don't see a map / 404 / black screen

Please check your script-blocker for *.rc3.world, as well as external sites (if you want them to open properly). If that doesn't help you can take a look in your browser's dev tools / console and check for errors.

### Reporting errors

Please write an email to [world@rc3.world](mailto:world@rc3.world) including as much details as possible. Add at least a link to the map you tried to open and which browser you used.
